package com.zhangmeng.online.exam.ui.module;

/**
 * @author zm
 * @date 2025/4/11 14:12
 * @version: 1.0
 */
public class QuestionOption {

    private String id;

    private String name;

    private String optionContent;

    private boolean isAnswer;

    private String explanation;


    public QuestionOption() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOptionContent() {
        return optionContent;
    }

    public void setOptionContent(String optionContent) {
        this.optionContent = optionContent;
    }

    public boolean isAnswer() {
        return isAnswer;
    }

    public void setAnswer(boolean answer) {
        isAnswer = answer;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }
}
